# Uses of Class
nu.validator.htmlparser.impl.Tokenizer

Packages that use Tokenizer
Package
Description
nu.validator.htmlparser.common
This package provides common interfaces and enumerations.
nu.validator.htmlparser.impl
This package contains the bulk of parser internals.
nu.validator.htmlparser.io

## Uses of Tokenizer in nu.validator.htmlparser.common

Methods in nu.validator.htmlparser.common with parameters of type Tokenizer
Modifier and Type
Method
Description
`void`
TokenHandler.`startTokenization(Tokenizer self)`
This method is called at the start of tokenization before any other methods on this interface are called.

## Uses of Tokenizer in nu.validator.htmlparser.impl

Subclasses of Tokenizer in nu.validator.htmlparser.impl
Modifier and Type
Class
Description
`class`
`ErrorReportingTokenizer`
Fields in nu.validator.htmlparser.impl declared as Tokenizer
Modifier and Type
Field
Description
`protected Tokenizer`
TreeBuilder.`tokenizer`
Methods in nu.validator.htmlparser.impl with parameters of type Tokenizer
Modifier and Type
Method
Description
`void`
Tokenizer.`loadState(Tokenizer other)`
`final void`
TreeBuilder.`startTokenization(Tokenizer self)`

## Uses of Tokenizer in nu.validator.htmlparser.io

Constructors in nu.validator.htmlparser.io with parameters of type Tokenizer
Modifier
Constructor
Description
``
`Driver(Tokenizer tokenizer)`
``
`HtmlInputStreamReader(InputStream inputStream, ErrorHandler errorHandler, Tokenizer tokenizer, Driver driver, Heuristics heuristics)`
``
`HtmlInputStreamReader(InputStream inputStream, ErrorHandler errorHandler, Tokenizer tokenizer, Driver driver, Heuristics heuristics, int sniffingLimit)`
``
`HtmlInputStreamReader(InputStream inputStream, ErrorHandler errorHandler, Tokenizer tokenizer, Driver driver, Encoding encoding)`